質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.34%

phpenvで設定したphpをApacheと連携させたい

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 2,689

unyounyo

score 12

phpenvをいれました。指定バージョンで設定もできたのですが、
Apacheとの連携ができません。

httpd.confにLoadModuleの追記をおこなおうと思うのですが、
libphp5.soのファイルも見当たりません。

一般的にどのように連携の設定をとればよいかご教授いただけますでしょうか。

以上、よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

0

下記を組み合わせて使われているのであれば、

  • https://github.com/CHH/phpenv
  • https://github.com/php-build/php-build

PHP のビルドで libphp5.so が作成されない configure のオプションになっていたはずです。

というのが不便だったので下記のパッチを以前作ったのですが、、、長いこと使っていないので動くかどうかはわかりません・・

  • https://github.com/ngyuki/php-build-apxs2

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/22 17:46

    [root@localhost ~]# phpenv apache-version 5.4.40
    Make sure the specified version is installed.
    Apache module not found /root/.phpenv/versions/5.4.40/libphp5.so

    キャンセル

  • 2016/04/22 23:40

    php-build-apxs2 は php のインストール時に apache モジュールもビルドできるようにするものなので、それを導入する前にインストールした php だと使えません。インストール済の php をアンインストールしてから、もう一度インストールし直してみてください

    キャンセル

  • 2016/04/29 15:51

    @ngyukiさん
    再インストールしたらうまくいきました!ありがとうございます!

    キャンセル

0

肝心のPHPはインストールしていますか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/22 15:21

    phpはインストールしました。

    キャンセル

  • 2016/04/22 15:22

    phpenv install 5.4.32

    キャンセル

  • 2016/04/22 15:28

    build時のオプション指定がどうなっているのか不明なので、どこに「libphp5.so」があるか不明ですが、locate(OSがLinuxの場合)等で「libphp5.so」がある場所を調べてみては如何でしょうか?

    キャンセル

0

>build時のオプション指定がどうなっているのか不明なので、どこに「libphp5.so」があるか不明ですが、locate(OSがLinuxの場合)等で「libphp5.so」がある場所を調べてみては如何でしょうか?

上記操作間違いました。
無視してください。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/22 17:21

    ngyukiさんの回答を見て、少し調べてみました。
    対象のバージョンのbuildオプションを確認してみては如何でしょうか。
    バージョンによってはデフォルトだとhttp用モジュールは作成しないとの情報がありました。

    http用のモジュールは以下のオプションを付与する。
    configure_option "--with-apxs2=/usr/bin/apxs"

    キャンセル

  • 2016/04/22 19:41

    上記のオプションを付与してphpenv install をおこないましたが、
    下記のエラーがでました。
    configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.
    ./configure: line 8421: /usr/bin/apxs: No such file or directory
    configure: error: Aborting

    yumからapacheをインストールした場合はどのような記述にかわるでしょうか。

    キャンセル

  • 2016/04/25 11:30

    > No such file or directory
    ディレクトリがないといわれているので、ディレクトリを作成の上、実施してみてください。

    > yumからapacheをインストールした場合はどのような記述にかわるでしょうか。
    前回、yumからapacheを導入したとコメント頂いていますが、上記の質問の意味と意図がわかりかねます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る